/*
    1. Создать view – полную копию таблицы teacher;
*/

/*
    2. Создать view – копию таблицы teacher,
       за исключением строк, у которых нет связи с организацией;
*/

/*
    3. Создать view с полным списком преподавателей.
       Вместо id организации выводить ее название.
       Не включать в представление зарплату преподавателя;
*/

/*
    4. Создать view с полным списком преподавателей аналогично пункту (3).
       Фамилию и имя преподавателя объединить в одно поле.
       Поля назвать соответственно русским названиям
       – «Фамилия Имя», «Дата рождения», «Название организации»;
*/

/*
    5. Написать вставку записи (на своё усмотрение) во view из пункта (1).
       Проверить, что новая запись появилась в исходной таблице;
*/

/*
    6. Написать удаление записи, вставленной в пункте (5), через view из пункта (1).
      Проверить, что запись удалилась из исходной таблицы;
*/

/*
    7. Обновить дату рождения и у преподавателя id_teach = 4 (на любую) через view из пункта (1);
*/

/*
    8. Обновить id_org у преподавателя с id_teach = 4 на NULL через view из пункта (2).
       Проверить, что преподаватель пропал из view из пункта (2);
*/

/*
    9. Пересоздать view и пункта (2) с условием [with local check option].
       Попробовать проделать те же манипуляции, что в пункте (8) на преподавателе id_teach = 5.
*/

/*
    10. Поверх view из предыдущего пункта создать view с [with cascaded check option].
        Проверить, что то же действие всё ещё кидает ошибку.
*/

/*
    11. Создать view со статистикой зарплат по организациям: 
        Среднее по организации и отличие от среднего, используя оконную функцию.
*/

/*
    12. Создать view с учителями с зарплатой не ниже средней по организации (используте вложенный запрос) 
    (те, у кого не указана организация считаются в одной организации).
*/

/*
    (bonus) А теперь потренируемся с рекурсией: посчитаем числа Каталана:
    
    Зададим рекурренту:
    $C_0 = 1$, $C_n = \sum_{i=1}^{n} C_{i} + C_{n-i-1}$
    Которая выражается так:
    $C_0 = 1$, $C_n = \frac{2(2n - 1)}{n + 1}C_{n - 1}$

    Цель: создать рекурсивное представление для вычисления всех $C_k$, $k < n$.
*/